/* Single Subject */

.single-subject {
    margin: 0 auto;
    max-width: 1364px;
}

.single-subject__container {
    padding: 0 150px;
}

.single-subject__title {
    color: #251949;
    font-family: 'Nanum Myeongjo', serif;
    font-size: 2.5em;
    text-align: center;
}

.single-subject__selectTitle {
    color: #251949;
    font-size: 1.5em;
    font-weight: 700;
    padding: 3em 0 1em 0;
}

.single-subject__levelNav {
    display: -webkit-box;  
	display: -ms-flexbox;
    display: flex;
    margin-bottom: 1em;
}

.single-subject__levelNav__LevelDiv {
    display: inline-block;
    padding-right: 2em;
    max-width: 25%;
}

.single-subject__levelNav__LevelDiv:last-child {
	padding-right: 0;
}

.single-subject__levelNav__levelDiv__level,
.single-subject__levelNav__levelDiv__years {
    color: #CC3773;
    font-size: 1em;
    font-weight: 700;
    line-height: 1.25;
}

.single-subject__levelNav__levelDiv__course {
    color: #251949;
	display: block;
    font-weight: 700;
    line-height: 1.5;
    text-decoration: none;
}
.single-subject__levelNav__levelDiv__course:hover {
    color: #4BC3D4;
}

.single-subject__titleDiv, 
.single-subject__textDiv, 
.single-subject__exams, 
.single-subject__lowerTextDiv {
    width: 100%;
}

.single-subject__titleDiv__courseTitle {
    color: #251949;
    font-size: 2.5em;
    font-weight: 700;
    line-height: 1.25;
    padding: 1em 0;
}

.single-subject__titleDiv__levelTitle {
    color: #CC3773;
    font-size: 1.5em;
    font-weight: 700;
    padding-bottom: 1em;
}

.single-subject__textDiv__textSections {
    -webkit-columns: 2;
        -moz-columns: 2;
            columns: 2;
	padding-bottom: 2em;
}

.single-subject__textDiv__textSections__section {
    display: inline-block;
    padding: 0 4em 1.5em 0;
}

.single-subject__textDiv__textSections__section__sectionTitle {
    color: #251949;
    font-size: 1.2em;
    font-weight: 700;
    line-height: 1.25;
    padding-bottom: 1em;
}

.single-subject__textDiv__textSections__section__sectionText p {
    color: #333333;
    font-weight: 300;
    line-height: 1.5;
    padding-bottom: 1em;
}

.single-subject__textDiv__textSections__section__sectionText a {
    color: #251949;
    font-weight: 700;
    text-decoration: none;
}

.single-subject__textDiv__textSections__section__sectionText a:hover {
    color: #4BC3D4;
}

.single-subject__textDiv__textSections__section__sectionText strong {
    font-weight: 700;
}

.single-subject__textDiv__textSections__section__sectionText ul {
    margin-left: 1em;
    padding-bottom: 1em;
}

.single-subject__textDiv__textSections__section__sectionText li {
    line-height: 1.5;
    list-style-type: disc;
}

.single-subject__textDiv__textSections__section__sectionText li strong {
    font-weight: 700;
}

.single-subject__textDiv__textSections__iconDiv {
    display: inline-block;
    padding-top: 3em;
    text-align: center;
    width: 30%;
}

.single-subject__textDiv__textSections__iconDiv__icon {
    background-size: contain;
    height: 260px;
    width: 260px;
}

.single-subject__textDiv__textSections__iconDiv__caption {
    color: #251949;
    font-family: 'Nanum Myeongjo', serif;
    font-size: 1.8em;
    line-height: 1.25;
    padding: 0.8em 0;
    text-align: center;
    width: 260px;
}

.single-subject__exams {
    background-color: #D4E4F1;
}

.single-subject__examsContainer {
    margin: 0 auto;
    max-width: 900px;
    padding: 5em 0;
}

.single-subject__exams__title {
    color: #251949;
    font-size: 1.5em;
    font-weight: 700;
    padding: 0.8em 0;
}

.single-subject__exams__text {
    padding-bottom: 1em;
}

.single-subject__exams__text p {
    color: #333333;
    font-weight: 300;
    line-height: 1.5;
}

.single-subject__exams__text p strong {
    color: #251949;
    font-weight: 700;
}

.single-subject__exams__examinations_table {
    border-collapse: collapse;
}

.single-subject__exams__examinations_table__row__th {
    border-bottom: 2px solid #4BC3D4;
    color: #251949;
    font-weight: 700;
    padding-bottom: 0.5em;
    text-align: left;
    width: 220px;
}

.single-subject__exams__examinations_table__row__th--paper {
    color: #CC3773;
}

.single-subject__exams__examinations_table__row__td {
    color: #333333;
    font-weight: 300;
    padding: 0.5em 0 1.5em 0;
}

.single-subject__exams__slopeTop, 
.single-subject__exams__slopeBottom {
    position: relative;
}

.single-subject__exams__slopeTop::after {
	background-color: #ffffff;
	bottom: -25px;
	content: " ";
    display: block;
    height: 70px;
	left: -2.5px;
	position: absolute;
	transform: rotate(-2deg);
	width: 100.4%;
    z-index: 2;
}

.single-subject__exams__slopeBottom::after {
    background-color: #ffffff;
	bottom: -25px;
	content: " ";
    display: block;
    height: 70px;
	left: -2.5px;
	position: absolute;
	transform: rotate(2deg);
	width: 100.4%;
    z-index: 2;
}

.single-subject__lowerTextDiv {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    padding: 5em 0;
}

.single-subject__lowerTextDiv__iconContainer {
    width: 30%;
}

.single-subject__lowerTextDiv__iconDiv {
    display: inline-block;
    text-align: center;
    text-decoration: none;
}

.single-subject__lowerTextDiv__iconDiv__icon {
    -webkit-animation: shake 3s infinite;
            animation: shake 3s infinite;
    background-size: contain;
    height: 260px;
    width: 260px;
}    

@-webkit-keyframes shake {
    0% {margin-left: 0; margin-right: 0; -webkit-transform: translateY(0); transform: translateY(0);}
    80% {margin-left: 0; margin-right: 0; -webkit-transform: translateY(0); transform: translateY(0);}
    85% {margin-left: -5px; margin-right: 0; -webkit-transform: translateY(-4px); transform: translateY(-4px);}
    90% {margin-left: 0; margin-right: -5px; -webkit-transform: translateY(-4px); transform: translateY(-4px);}
    95% {margin-left: -5px; margin-right: 0; -webkit-transform: translateY(-4px); transform: translateY(-4px);}
    100% {margin-left: 0; margin-right: -5px; -webkit-transform: translateY(-4px); transform: translateY(-4px);}
}    

@keyframes shake {
    0% {margin-left: 0; margin-right: 0; -webkit-transform: translateY(0); transform: translateY(0);}
    80% {margin-left: 0; margin-right: 0; -webkit-transform: translateY(0); transform: translateY(0);}
    85% {margin-left: -5px; margin-right: 0; -webkit-transform: translateY(-4px); transform: translateY(-4px);}
    90% {margin-left: 0; margin-right: -5px; -webkit-transform: translateY(-4px); transform: translateY(-4px);}
    95% {margin-left: -5px; margin-right: 0; -webkit-transform: translateY(-4px); transform: translateY(-4px);}
    100% {margin-left: 0; margin-right: -5px; -webkit-transform: translateY(-4px); transform: translateY(-4px);}
}

.single-subject__lowerTextDiv__iconDiv__caption {
    color: #251949;
    font-family: 'Nanum Myeongjo', serif;
    font-size: 1.8em;
    padding: 0.8em 0;
    width: 260px;
}

.single-subject__lowerTextDiv__textContainer {
    padding: 0 12em 2em 2em;
    width: 70%;
}

.single-subject__lowerTextDiv__sectionTitle {
    color: #251949;
    font-size: 1.5em;
    font-weight: bold;
    padding-bottom: 1em;
}

.single-subject__lowerTextDiv__sectionText {
    color: #333333;
    font-weight: 300;
    padding-bottom: 0.5em;
}

.single-subject__lowerTextDiv__sectionText p {
    line-height: 1.5;
    padding-bottom: 1em;
}

.single-subject__lowerTextDiv__sectionText strong {
    color: #251949;
    font-weight: bold;
}

.single-subject__lowerTextDiv__sectionText a {
    color: #251949;
    font-weight: bold;
    text-decoration: none;
}

.single-subject__lowerTextDiv__sectionText a:hover {
    color:#4BC3D4;
}

.single-subject__error {
    color: #4BC3D4;
    font-size: 2.5em;
    line-height: 1.5;
    padding: 5em 1em 10em 1em;
    text-align: center;
}

.single-subject__lowerTextDiv__sectionText strong {
    color: #251949;
    font-weight: bold;
}

@media only screen and (max-width: 1250px) {
	.single-subject__lowerTextDiv__textContainer {
		padding: 0 2em 2em 5em;
	}
}

@media only screen and (max-width: 1200px) {

    .single-subject__container {
        padding: 0 5em 0 75px;
    }

    .single-subject__lowerTextDiv__iconDiv {
        padding-left: 2em;
    }
}

@media only screen and (max-width: 1140px) {

    .single-subject__container {
        padding: 0 4em 0 75px;
    }
}

@media only screen and (max-width: 930px) {

    .single-subject__lowerTextDiv__iconContainer {
        width: 35%;
    }

    .single-subject__container {
        padding: 0 2em 0 4em;
    }
	
	.single-subject__examsContainer {
		padding: 5em 1em;
	}
}

@media only screen and (max-width: 830px) {

    .single-subject__container {
        padding: 0 4em;
    }
	
	.single-subject__levelNav {
    	display: block; 
	}
	
	.single-subject__levelNav__LevelDiv {
		display: block;
		max-width: 100%;
		padding: 1em 0;
	}
	
    .single-subject__textDiv__textSections {
		-webkit-columns: 1;
		-moz-columns: 1;
		columns: 1;
	}
	
	.single-subject__textDiv__textSections__section {
		display: block;
		padding: 0 0 1.5em 0;
	}
	
	.single-subject__textDiv__textSections__iconDiv {
		display: block;
		margin: 0 auto;
		width: 260px;
	}
	
	.single-subject__lowerTextDiv__textContainer {
		padding: 0 0 2em 3em;
	}
	
	.single-subject__lowerTextDiv__iconDiv {
    	padding-left: 0;
	}
	
    .single-subject__lowerTextDiv__iconDiv__icon {
        display: inline-block;
        height: 200px;
        margin: 0 auto;
        width: 200px;
    }

    .single-subject__lowerTextDiv__iconDiv__caption {
        margin: 0 auto;
        width: 200px;
    }
}

@media only screen and (max-width: 670px) {

    .single-subject__lowerTextDiv__textDiv {
        text-align: center;
        width: 100%;
    }

    .single-subject__lowerTextDiv {
		display: block;
    }
	
	.single-subject__lowerTextDiv__textContainer {
		padding: 2em 3em;
		width: 100%;
	}
    
    .single-subject__lowerTextDiv__iconContainer {
        width: 100%;
    }

    .single-subject__lowerTextDiv__iconDiv {
        display: block;
        margin: 0 auto;
    }

    .single-subject__lowerTextDiv_text {
        text-align: justify;
    }
}

@media only screen and (max-width: 650px) {

    .single-subject__container{
        padding: 0 2em;
    }
}

@media only screen and (max-width: 600px) {
	
	.single-subject__lowerTextDiv__textContainer {
		padding: 2em 0;
	}
}

@media only screen and (max-width: 530px) {

    .single-subject__container{
        padding: 0 1em;
    }
	
	.single-subject__examsContainer {
		padding: 5em 0.5em;
	}
}

@media only screen and (max-width: 430px) {

    .single-subject__container {
        padding: 0 0.5em;
    }
	
	.single-subject__examsContainer {
		padding: 5em 0.2em;
	}
}
